org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MapValuesTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MapValuesTest

- Direct Known Subclasses:
    MapValuesTest.Traversals

  Deprecated.
  As of release 3.1.0-incubating

      @Deprecated
      public abstract class MapValuesTest
      extends AbstractGremlinProcessTest

  Author:
    Daniel Kuppitz (http://gremlin.guru)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MapValuesTest.Traversals` Deprecated. As of release 3.1.0-incubating

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapValuesTest()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_outE_valuesXweightX_groupCount_mapValues_groupCount_mapValues()` Deprecated.
    `void` | `g_V_outE_valuesXweightX_groupCount_mapValues()` Deprecated.
    `void` | `g_V_outE_valuesXweightX_groupCount_unfold_mapValues()` Deprecated.
    `abstract Traversal<Vertex,Long>` | `get_g_V_outE_valuesXweightX_groupCount_mapValues_groupCount_mapValues()` Deprecated.
    `abstract Traversal<Vertex,Long>` | `get_g_V_outE_valuesXweightX_groupCount_mapValues()` Deprecated.
    `abstract Traversal<Vertex,Long>` | `get_g_V_outE_valuesXweightX_groupCount_unfold_mapValues()` Deprecated.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapValuesTest

          public MapValuesTest()

      Deprecated.

  - ### Method Detail

    - #### get_g_V_outE_valuesXweightX_groupCount_mapValues

          public abstract Traversal<Vertex,Long> get_g_V_outE_valuesXweightX_groupCount_mapValues()

      Deprecated.

    - #### get_g_V_outE_valuesXweightX_groupCount_unfold_mapValues

          public abstract Traversal<Vertex,Long> get_g_V_outE_valuesXweightX_groupCount_unfold_mapValues()

      Deprecated.

    - #### get_g_V_outE_valuesXweightX_groupCount_mapValues_groupCount_mapValues

          public abstract Traversal<Vertex,Long> get_g_V_outE_valuesXweightX_groupCount_mapValues_groupCount_mapValues()

      Deprecated.

    - #### g_V_outE_valuesXweightX_groupCount_mapValues

          public void g_V_outE_valuesXweightX_groupCount_mapValues()

      Deprecated.

    - #### g_V_outE_valuesXweightX_groupCount_unfold_mapValues

          public void g_V_outE_valuesXweightX_groupCount_unfold_mapValues()

      Deprecated.

    - #### g_V_outE_valuesXweightX_groupCount_mapValues_groupCount_mapValues

          public void g_V_outE_valuesXweightX_groupCount_mapValues_groupCount_mapValues()

      Deprecated.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.